API Reference
All API endpoints require authentication via headers.
Authentication
X-Website-Id: web_abc123
X-API-Key: pk_live_...
X-Visitor-Id: anonymous_visitor_id
POST /api/v1/signals
Record one or more intent signals.
{
"visitor_id": "anon_abc123",
"signals": [
{
"type": "view",
"category": "technology",
"subcategory": "phones",
"item": "iPhone 17"
}
]
}
GET /api/v1/preferences
Retrieve visitor preferences. Query param: visitor_id
// Response
{
"technology": { "phones": 95, "tv": 70 },
"travel": { "luxury": 80 }
}
GET /api/v1/taxonomy
Returns the global Intenxio industry taxonomy. All websites share this standard — custom categories are not supported.
// Response
{
"version": "2.0.0",
"taxonomy": {
"technology": {
"name": "Technology",
"description": "...",
"subcategories": [
{ "slug": "phones", "name": "Phones" }
]
}
}
}
POST /api/v1/rank
Rank content items by visitor preferences.
{
"visitor_id": "anon_abc123",
"items": [
{ "id": "1", "category": "technology", "tags": ["phones"] },
{ "id": "2", "category": "technology", "tags": ["tv"] }
]
}
// Response
[
{ "id": "1", "score": 95 },
{ "id": "2", "score": 70 }
]
Signal Types
| Type | Weight | Description |
|---|---|---|
| view | 5 | Page or product view |
| click | 15 | Click interaction |
| search | 20 | Search query |
| add_to_cart | 25 | Cart addition |
| wishlist | 18 | Wishlist addition |
| purchase | 40 | Completed purchase |